Pettanr::Application.routes.draw do

  devise_for :users , :controllers => { :registrations => "user_registrations" }
  devise_for :admins

  match 'original_pictures/:id(.:format)/refresh' => 'original_pictures#refresh'

  resources :authors do
    collection do
      get :index
      get :show
      get :count
      post :create
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end
  resources :artists do
    collection do
      get :index
      get :show
      get :count
      post :create
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end
  resources :speech_balloon_templates do
    collection do
      get :index
      get :show
      get :list
      get :browse
    end
    member do
      delete :destroy
    end
  end
  resources :speeches do
    collection do
      get :list
      get :browse
    end
    member do
    end
  end
  resources :balloons do
    collection do
      get :list
      get :browse
    end
    member do
    end
  end
  resources :speech_balloons do
    collection do
      get :list
      get :browse
    end
    member do
    end
  end
  resources :panel_pictures do
    collection do
      get :index
      get :show
      get :list
      get :browse
    end
    member do
    end
  end
  resources :resource_pictures do
    collection do
      get :index
      get :show
      get :count
      get :list
      get :browse
    end
    member do
    end
  end
  resources :original_pictures do
    collection do
      get :index
      get :show
      get :new
      post :create
      get :list
      get :browse
    end
    member do
      get :edit
      put :update
      delete :destroy
    end
  end
  resources :panels do
    collection do
      get :index
      get :show
      get :count
      post :create
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end
  resources :comics do #, except: [:new, :edit]
    collection do
      get :index
      get :show
      get :count
      post :create
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end
  resources :licenses do
    collection do
      get :index
      get :show
      get :list
      get :browse
    end
  end
  resources :original_licenses do
    collection do
      get :index
      get :show
      get :new
      post :create
      post :import
      get :list
      get :browse
    end
    member do
      get :edit
      put :update
      delete :destroy
    end
  end
  resources :common_licenses do
    collection do
      get :index
      get :show
      post :import
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end
  resources :system_pictures do
    collection do
      get :index
      get :show
      post :create
      get :list
      get :browse
    end
    member do
      put :update
      delete :destroy
    end
  end

  # The priority is based upon order of creation:
  # first created -> highest priority.

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action
  match 'comics/:id(.:format)/play' => 'comics#play'
  match 'resource_pictures/:subdir/:id(.:format)/' => 'resource_pictures#show'
  match 'home/(:action)', :controller => 'home'
  match 'help/(:action)', :controller => 'help'
  match 'system/(:action)', :controller => 'system'
  match 'authors/(:action(/:id))', :controller => 'authors'
#  controller 'system' do
#    get 'start'
#    get 'index'
##    match 'start', :to => 'system#start'
#  end
  
  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # You can have the root of your site routed with "root"
  # just remember to delete public/index.html.
  root :to => 'comics#top'

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  #match ':controller(/:action(/:id(.:format)))'
end
